import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import config from '@/config'
Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store


App.mpType = 'app'
// 挂载全局图片地址
Vue.prototype.$HTTP = config.baseUrl
// 图片使用网络地址
Vue.prototype.loadImgSrc = function(img) {
	//项目的地址域名，例如百度
	return config.baseIconUrl+img;
}

const app = new Vue({  
	...App
})

app.$mount()